Package org.globus.gram

# Class GramJobRun

java.lang.Object
org.globus.gram.GramJob
org.globus.gram.GramJobRun

All Implemented Interfaces:
  `Runnable`, `GRAMConstants`

public class GramJobRun extends GramJob implements Runnable

## Field Summary

### Fields inherited from class org.globus.gram.GramJob

`error, exitCode, status`

### Fields inherited from interface org.globus.gram.internal.GRAMConstants

`SIGNAL_CANCEL, SIGNAL_COMMIT_END, SIGNAL_COMMIT_EXTEND, SIGNAL_COMMIT_REQUEST, SIGNAL_PRIORITY, SIGNAL_RESUME, SIGNAL_STDIO_SIZE, SIGNAL_STDIO_UPDATE, SIGNAL_STOP_MANAGER, SIGNAL_SUSPEND, STATUS_ACTIVE, STATUS_ALL, STATUS_DONE, STATUS_FAILED, STATUS_PENDING, STATUS_STAGE_IN, STATUS_STAGE_OUT, STATUS_SUSPENDED, STATUS_UNSUBMITTED`

## Constructor Summary

Constructors
Constructor
Description
`GramJobRun(String rsl, String resourceManagerContact)`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`

### Methods inherited from class org.globus.gram.GramJob

`addListener, bind, cancel, getCredentials, getError, getExitCode, getID, getIDAsString, getRSL, getStatus, getStatusAsString, getStatusAsString, isExitCodeValid, removeListener, renew, renew, request, request, request, setCredentials, setError, setExitCode, setID, setStatus, signal, signal, toString, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GramJobRun

public GramJobRun(String rsl, String resourceManagerContact)

## Method Details

### run

public void run()

Specified by:
  `run` in interface `Runnable`